<?php
function smarty_modifier_bsmenuformatcache($string)
{
    global $wacko; /* @var $wacko Wacko */
    
    $srvCache = $wacko->srvFactory("UtilCache"); 
    
    if($srvCache != null) {
    	$ratCacheId = $srvCache->getUniID(array("BsMenuFormat", $string));
    	
    	$res = $srvCache->returnCached($ratCacheId);
			
		if($res) {
			return $res["content"];
		}
    }
    
    $proc = $wacko->Format($string);

	//   UL   
	$a1 = explode("<ul>", $proc, 2);
	$proc = implode('<ul class="nav">', $a1);

	// ,      UL -    dropdown
	$a2 = explode("<ul>", $proc);
	if(count($a2) > 1) {
	    //   ...
		for($i = 0; $i < count($a2) - 1; $i++) {
			$a3 = explode('<li', $a2[$i]);
			
			//   LI
			$s3 = $a3[count($a3) - 1];
			$s3 = str_replace('</a>', '<b class="caret"></b></a>', $s3);
			$s3 = str_replace('class=""', 'class="dropdown-toggle" data-toggle="dropdown"', $s3);
			$s3 = ' class="dropdown"'.$s3;
			
			$a3[count($a3) - 1] = $s3;
			
			$a2[$i]= implode('<li', $a3);
		}
	}
	$proc = implode('<ul class="dropdown-menu">', $a2);
	
	//    
	$proc = str_replace('<li> &ndash;','<li class="divider">', $proc);
	$proc = str_replace('<li> |','<li class="divider-vertical">', $proc);
	
	if($srvCache != null) {
		$srvCache->saveCached($ratCacheId, $proc);
	}
	
	return $proc;
}
?>
