<?php
/*!! Structure.Highlighters.Img:
  *    ,    .
  * : %%(img) href="http://..." [text=". ."] [title="1"] [toblank="0"]%%""
  * :  ##href##    .
*/
  // Param name
  if($options["_default"]) {

    $href = $text;

    $text = '';
    if($options['text']) {
      if(strpos($options['text'], "~") !== false) {
        $options['text'] = str_replace("~", $href, $options['text']);
      }
      $text = htmlspecialchars($options['text']);
    }

    $title = '';
    if($options['title']) {
      $title = htmlspecialchars($options['title']);
    }

    $toblank = "target=\"_blank\"";
    if($options['toblank']) {
      $toblank = '';
    }

    echo $this->Format("<a name=\"".$href."\" href=\"".$href."\" title=\"".$title."\" ".$toblank." >".$text."</a>\n", "safehtml");
  }
?>
